Cyberduck Mountain Duck CLI

#5644 closed defect (worksforme)

Upload in progress does not prevent quit

Reported by: gregk Owned by:
Priority: normal Milestone: 4.1.3
Component: core Version: 4.0b8
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows XP

Description

If an upload is in process and the application is quit by the user, no warning is shown. The application simply quits and leaves the uploaded file in an incomplete, corrupt state.

Six hours’ work down the toilet.

Attachments (1)

Transfer in progress.png (16.6 KB) - added by dkocher on Sep 27, 2011 at 7:31:06 AM.

Download all attachments as: .zip

Change History (8)

comment:1 Changed on Jan 15, 2011 at 2:58:10 PM by dkocher

  • Milestone set to 4.0b9
  • Summary changed from Upload in process cannot prevent quit to Upload in process does prevent quit

comment:2 Changed on Jan 25, 2011 at 9:45:30 PM by dkocher

  • Summary changed from Upload in process does prevent quit to Upload in progress does not prevent quit

comment:3 Changed on Jun 7, 2011 at 8:32:27 AM by dkocher

See also #5425.

comment:4 Changed on Jul 4, 2011 at 9:23:35 AM by dkocher

  • Milestone changed from 4.1 to 4.2

comment:5 Changed on Jul 29, 2011 at 6:07:39 PM by dkocher

  • Milestone changed from 4.2 to 4.1.2

comment:6 Changed on Sep 27, 2011 at 7:29:43 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

I cannot replicate this issue in the current snapshot build. A prompt is shown to not exit the application if a transfer is in progress.

Changed on Sep 27, 2011 at 7:31:06 AM by dkocher

Note: See TracTickets for help on using tickets.
swiss made software